Upstream information

CVE-2021-45930 at MITRE

Description

Qt SVG in Qt 5.0.0 through 5.15.2 and 6.0.0 through 6.2.1 has an out-of-bounds write in QtPrivate::QCommonArrayOps<QPainterPath::Element>::growAppend (called from QPainterPath::addPath and QPathClipper::intersect).

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 5.5
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Access Vector Local Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1196654 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 libqt5-qtsvg Affected
SUSE CaaS Platform 4.0 libqt5-qtsvg Affected
SUSE Enterprise Storage 6 libqt5-qtsvg Affected
SUSE Enterprise Storage 7 libqt5-qtsvg Affected
SUSE Linux Enterprise Desktop 15 SP3 libqt5-qtsvg Affected
SUSE Linux Enterprise Desktop 15 SP4 libqt5-qtsvg Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 libqt5-qtsvg Affected
SUSE Linux Enterprise High Performance Computing 15 LTSS libqt5-qtsvg Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS libqt5-qtsvg Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS libqt5-qtsvg Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS libqt5-qtsvg Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS libqt5-qtsvg Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 libqt5-qtsvg Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 libqt5-qtsvg Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 libqt5-qtsvg Affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 libqt5-qtsvg Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 libqt5-qtsvg Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 libqt5-qtsvg Not affected
SUSE Linux Enterprise Real Time 15 SP2 libqt5-qtsvg Affected
SUSE Linux Enterprise Server 12 SP2 BCL libqt5-qtsvg Affected
SUSE Linux Enterprise Server 12 SP3 BCL libqt5-qtsvg Affected
SUSE Linux Enterprise Server 12 SP3 ESPOS libqt5-qtsvg Affected
SUSE Linux Enterprise Server 12 SP3 LTSS libqt5-qtsvg Affected
SUSE Linux Enterprise Server 12 SP4 ESPOS libqt5-qtsvg Affected
SUSE Linux Enterprise Server 12 SP4 LTSS libqt5-qtsvg Affected
SUSE Linux Enterprise Server 12 SP5 libqt5-qtsvg Affected
SUSE Linux Enterprise Server 15 ESPOS libqt5-qtsvg Affected
SUSE Linux Enterprise Server 15 LTSS libqt5-qtsvg Affected
SUSE Linux Enterprise Server 15 SP1 LTSS libqt5-qtsvg Affected
SUSE Linux Enterprise Server 15 SP2 LTSS libqt5-qtsvg Affected
SUSE Linux Enterprise Server 15 SP3 libqt5-qtsvg Affected
SUSE Linux Enterprise Server 15 SP4 libqt5-qtsvg Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 libqt5-qtsvg Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 libqt5-qtsvg Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libqt5-qtsvg Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libqt5-qtsvg Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libqt5-qtsvg Affected
SUSE Linux Enterprise Server for SAP Applications 15 libqt5-qtsvg Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libqt5-qtsvg Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libqt5-qtsvg Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libqt5-qtsvg Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libqt5-qtsvg Not affected
SUSE Linux Enterprise Storage 7.1 libqt5-qtsvg Affected
SUSE Manager Proxy 4.1 libqt5-qtsvg Affected
SUSE Manager Proxy 4.2 libqt5-qtsvg Affected
SUSE Manager Proxy 4.3 libqt5-qtsvg Not affected
SUSE Manager Retail Branch Server 4.1 libqt5-qtsvg Affected
SUSE Manager Retail Branch Server 4.2 libqt5-qtsvg Affected
SUSE Manager Retail Branch Server 4.3 libqt5-qtsvg Not affected
SUSE Manager Server 4.1 libqt5-qtsvg Affected
SUSE Manager Server 4.2 libqt5-qtsvg Affected
SUSE Manager Server 4.3 libqt5-qtsvg Not affected
SUSE OpenStack Cloud 8 libqt5-qtsvg Affected
SUSE OpenStack Cloud 9 libqt5-qtsvg Affected
SUSE OpenStack Cloud Crowbar 8 libqt5-qtsvg Affected
SUSE OpenStack Cloud Crowbar 9 libqt5-qtsvg Affected